{% extends '_base.html' %}

{%block title %}
Update Recording
{% endblock %}

{% block content %}
<div class="px-2 p-md-2 p-xl-4">
    <div class=" px-md-4">
        <div class="mt-5">
            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-8"> <a href="{%url 'home'%}"><- Go back</a></div>
            </div>
            <div class="mt-5"></div>
            <div class="row">
                <div class="col-lg-2"></div>
                <div class="col-lg-8">
                    {% if error %}
                        <div class="alert alert-danger" role="alert">
                            {{error}}
                        </div>
                    {% endif %}
                    <form method="POST" action=".">
                        {%csrf_token%}
                        <div class="form-group">
                            <label for="room_name" class="text-secondary"><strong>Recording Name</strong></label>
                            <div class="ml-5">
                                <input type="text" value="{{recording.name}}" class="form-control" name="recording_name" aria-describedby="recording name" placeholder="{{recording.name}}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="room_name" class="text-secondary"><strong>Recording visibility</strong></label>
                            <br>
                            <div class="ml-5">
                                <input type="radio" name="recording_visibility" value="public" {% if recording.recording_visibility == "public"%}checked{%endif%} > Public
                                <input type="radio" name="recording_visibility" value="unlisted" {% if recording.recording_visibility == "unlisted"%}checked {%endif%}> Unlisted
                                <input type="radio" name="recording_visibility" value="private" {% if recording.recording_visibility == "private"%}checked {%endif%}> Private
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content%}